Subject: Mac Keyboard does not work with GNOME Desktop

From: Antony Alldis <[email-masked]>
Date: Wed, 26 Mar 2014 20:06:46 +0000

Package: x2goserver
Version: 4.0.1.13

I have x2goserver installed on Centos 6.5 - Linux 2.6.32-431.5.1.el6.x86_64 #1 SMP x86_64 x86_64 x86_64 GNU/Linux
I have the Mac OS X client: Version: X2Go Client V. 4.0.1.3 (Qt - 4.8.5) running on OS X 10.9.2
When I connect, the GNOME Desktop comes up perfectly, however when I attempt to use the Mac Keyboard, I am presented with extended key-code characters.
For example: QWERTYUIOP comes out as: \u0152\u2211\u2020¥\u03a0Ç - this has been cut-n-paste from the "terminal" window.
As you can imagine this makes x2go unusable.
I have connected via a Linux client (Fedora 20) and this works without issue, so it appears to be a Mac Keyboard mapping issue.